version: 1
status: bootstrap
enforcement: Enforced
owner: blueprint-runtime-state-machine
mode: manual_only
external_api_integration: false
autonomous_consultant_calls: false
shell_authority_allowed: false

slots:
  requirement_shaping:
    status: inactive
    mode: manual_only
    blocks_workflow: false
    description: Manual requirement-shaping consultant checkpoint slot reserved for future activation.
  plan_review:
    status: active
    mode: manual_only
    blocks_workflow: true
    blocks_phase: implementation
    waiting_state: waiting_for_manual_consultant_review
    description: Manual plan review checkpoint after planning evidence and before implementation.
  completion_review:
    status: inactive
    mode: manual_only
    blocks_workflow: false
    description: Manual completion/iteration review checkpoint slot reserved for future activation.

artifact_paths:
  runtime_state: .tmp/consultant-checkpoints
  durable_reports: ai/reports/consultant-checkpoints
  registry: ai/governance/registries/consultant-checkpoints.yaml
  docs: ai/standards/consultant-checkpoints.md

schemas:
  registry: ai/governance/schemas/consultant-checkpoints.schema.json
  packet: ai/governance/schemas/consultant-packet.schema.json
  response: ai/governance/schemas/consultant-response.schema.json

operations:
  status:
    api_method: consultantCheckpoints.status
    execution_class: readonly_parallel
    lease_required: false
    mutation_class: read_only
  export_packet:
    api_method: consultantCheckpoints.exportPacket
    execution_class: readonly_parallel
    lease_required: false
    mutation_class: read_only
  validate_packet:
    api_method: consultantCheckpoints.validatePacket
    execution_class: readonly_parallel
    lease_required: false
    mutation_class: read_only
  import_response:
    api_method: consultantCheckpoints.importResponse
    execution_class: singleton_per_checkpoint_or_plan
    lease_required: true
    mutation_class: runtime_state_mutation
    idempotency: content_hash
  list_responses:
    api_method: consultantCheckpoints.listResponses
    execution_class: readonly_parallel
    lease_required: false
    mutation_class: read_only
  show_response:
    api_method: consultantCheckpoints.showResponse
    execution_class: readonly_parallel
    lease_required: false
    mutation_class: read_only
  record_plan_revision_recommendation:
    api_method: consultantCheckpoints.recordPlanRevisionRecommendation
    execution_class: singleton_per_checkpoint_or_plan
    lease_required: true
    mutation_class: runtime_state_mutation
    idempotency: response_id

authority_policy:
  response_is_advisory_only: true
  plan_revision_is_recommendation_only: true
  apply_plan_revision_deferred: true
  forbidden_response_semantics:
    - approves_close_commit
    - approves_dispatcher_execution
    - approves_lifecycle_transition
    - approves_implementation
    - executes_plan_revision
    - bypasses_runtime_lease
    - bypasses_human_approval
    - autonomous_consultant_call_requested
